library system_package;

import 'package:flutter/services.dart';


class DeviceUtils {

  static const platform = MethodChannel('samples.flutter.dev/battery');

  getBatteryLevel() async {
    String batteryLevel;
    try {
      final int result = await platform.invokeMethod('getBatteryLevel');
      batteryLevel = 'Battery level at $result % .';
    } on PlatformException catch (e) {
      batteryLevel = "Failed to get battery level: '${e.message}'.";
    }

    return batteryLevel;
  }

}
